const childProcess = require('child_process')
const path = require('path')

function runGo() {
    childProcess.spawnSync(
        'ls',
        ["-la"],
        {
            cwd: __dirname,
            stdio: 'inherit',
            shell: true,
        },
    )
    const goProcess = childProcess.spawnSync(
        'go',
        ['run', '.'],
        {
            cwd: __dirname,
            stdio: 'inherit',
            shell: true,
        },
    )

    if (goProcess.error) {
        console.error('Failed to execute `go run .`:', goProcess.error)
        process.exit(1)
    }

    if (goProcess.status !== 0) {
        console.error(
            '`go run .` exited with code',
            goProcess.status,
            goProcess.stderr ? goProcess.stderr.toString() : '',
        )
        process.exit(goProcess.status)
    }
}

runGo()
